Qt 5.11 | Qt GUI | C++ Classes | QVulkanLayer

Qt 5.11.3 Reference Documentation

# QVulkanLayer Class

Represents information about a Vulkan layer. More...

Header: | #include <QVulkanLayer>
qmake: | QT += gui

- List of all members, including inherited members

## Public Variables

QByteArray | description
QByteArray | name
QVersionNumber | specVersion
uint32_t | version

## Related Non-Members

uint | qHash(const QVulkanLayer &key, uint seed = 0)
bool | operator!=(const QVulkanLayer &lhs, const QVulkanLayer &rhs)
bool | operator==(const QVulkanLayer &lhs, const QVulkanLayer &rhs)

## Detailed Description

Represents information about a Vulkan layer.

## Member Variable Documentation

### QByteArray QVulkanLayer::description

This variable holds the description of the layer.

### QByteArray QVulkanLayer::name

This variable holds the name of the layer.

### QVersionNumber QVulkanLayer::specVersion

This variable holds the Vulkan version the layer was written against.

### uint32_t QVulkanLayer::version

This variable holds the version of the layer. This is an integer, increasing with each backward compatible change.

## Related Non-Members

### uint qHash(const QVulkanLayer &key, uint seed = 0)

Returns the hash value for the key, using seed to seed the calculation.

This function was introduced in Qt 5.10.

### bool operator!=(const QVulkanLayer &lhs, const QVulkanLayer &rhs)

Returns `true` if Vulkan layers lhs and rhs have different name, version, or spec version.

This function was introduced in Qt 5.10.

### bool operator==(const QVulkanLayer &lhs, const QVulkanLayer &rhs)

Returns `true` if Vulkan layers lhs and rhs have the same name, version, and spec version.

This function was introduced in Qt 5.10.